Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.jmx.builder
Class JmxBuilderException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.jmx.builder.JmxBuilderException

All Implemented Interfaces:
  Serializable

    public class JmxBuilderException

extends RuntimeException

Runtime exception used by JmxBuilder.

Author:
  Vladimir Vivien
See Also:
  Serialized Form

Constructor Summary
`JmxBuilderException()` Default constructor for exception.
`JmxBuilderException(String ex)` Parameterized consructor.
`JmxBuilderException(String msg, Throwable ex)` Parameterized constructor.
`JmxBuilderException(Throwable ex)` Parameterized constructor.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JmxBuilderException

    public JmxBuilderException()

  Default constructor for exception.

### JmxBuilderException

    public JmxBuilderException(String ex)

  Parameterized consructor.

  Parameters:
    `ex` - - exception message.

### JmxBuilderException

    public JmxBuilderException(Throwable ex)

  Parameterized constructor.

  Parameters:
    `ex` - - exception thrown.

### JmxBuilderException

    public JmxBuilderException(String msg,
                               Throwable ex)

  Parameterized constructor.

  Parameters:
    `msg` - - exception message.
    `ex` - - exception thrown.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2009 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD